Lavalite package that provides activity management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepie/activity`.

    "litepie/activity": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepie\Activity\Providers\ActivityServiceProvider::class,

And also add it to alias

    'Activity'  => Litepie\Activity\Facades\Activity::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepie\\ActivityTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\Activity\Providers\ActivityServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\Activity\Providers\ActivityServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\Activity\Providers\ActivityServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/activity/{modulename}

**User**

    http://path-to-route-folder/user/activity/{modulename}

**Public**

    http://path-to-route-folder/activities


### API endpoints

**List**

    http://path-to-route-folder/api/user/activity/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/activity/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/activity/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/activity/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/activity/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/activity/{modulename}/{slug}
    METHOD: GET